package common.packet;

import java.nio.ByteBuffer;

import common.mpeg.MpegUtil;

public class PesPacketPart extends PacketPart {
	
	public PesPacketPart(int len) {
		super(len);
		avStream=true;
	}
	public PesPacketPart(ByteBuffer buffer) {
		super(buffer);
		avStream=true;
	}
	
	public long getSystemClockReference() {
		//TODO: Implement this
		return ClockReferenceI.CLOCK_REFERENCE_NA;
	}
	public void offsetSystemClockReference(long clockOffset) {
		//TODO: Implement this
	}
	public String toString() {
		return MpegUtil.pesTimeToString(getClockReference(ClockReferenceI.CLOCK_REFERENCE_TYPE_PTS));
	}
	
}
