package common.ts;

import java.nio.ByteBuffer;

import demux.ts.TsRawPacketPart;

public class MasterGuideTable extends TsTable {
	public static short TVCT_CURRENT=0;
	private TableInfo[] tableInfo;
	
	public MasterGuideTable() {
		super(TsConstants.ATSC_TABLE_PID, TsConstants.MASTER_GUIDE_TABLE_ID);
	}

	@Override
	protected TsRawPacketPart[] filter(boolean reparse) {
		//TODO: filter
		return buffer;
	}
	protected void filter(ByteBuffer tmp) {
		
	}
	@Override
	protected TsRawPacketPart[] parse() {
		ByteBuffer tmp=mergeIn(buffer);
		tmp.position(10);
		int tables=tmp.getShort();
		tableInfo=new TableInfo[tables];
		for (int i=0;i<tables;i++) {
			short type=tmp.getShort();
			int pid=tmp.getShort() & 0x1fff;
			tmp.get();
			int len=tmp.getInt();
			int descLen=tmp.getShort() & 0xfff;
			tmp.position(tmp.position()+descLen);
			tableInfo[i]=new TableInfo(type, pid, len);
		}
		found=true;
		notifyListeners();
		return buffer;
	}

	public TableInfo[] getTableInfo() {
		return tableInfo;
	}

}
